import 'package:flutter/material.dart';
import 'package:training_lights/common/animations/bouncing_button_animation.dart';
import 'package:training_lights/my_theme.dart';

class ActionCircleButton extends StatelessWidget {
  final IconData icon;
  final Function() onPressed;
  final bool darkMode;

  const ActionCircleButton({
    required this.icon,
    required this.onPressed,
    this.darkMode = false,
  });

  @override
  Widget build(BuildContext context) {
    final theme = myTheme();

    return BouncingButtonAnimation(
      upperBound: 0.2,
      onPressed: onPressed,
      child: Container(
        width: 30.0,
        height: 30.0,
        decoration: BoxDecoration(
          shape: BoxShape.circle,
          color: darkMode ? theme.cardColor : theme.colorScheme.secondary,
        ),
        child: Icon(
          icon,
          color: darkMode ? theme.primaryColorLight : theme.primaryColor,
        ),
      ),
    );
  }
}
