import 'package:flutter/material.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/utils/show_dialog.dart';

class LeadingBackButton extends StatelessWidget {
  final Widget? willPopDialog;
  final Color? backgroundColor;

  const LeadingBackButton({
    this.willPopDialog,
    this.backgroundColor,
  });

  @override
  Widget build(BuildContext context) {
    final theme = myTheme();

    return Container(
      margin: const EdgeInsets.only(right: 15),
      decoration: BoxDecoration(
        color: backgroundColor ?? theme.backgroundColor,
        shape: BoxShape.circle,
      ),
      child: IconButton(
          splashRadius: 20,
          onPressed: () {
            if (willPopDialog != null) {
              ShowDialog.show(
                  context: context,
                  child: willPopDialog!,
              );
            } else {
              Navigator.pop(context);
            }
          },
          icon: const Icon(MyIcons.arrowBack),
      ),
    );
  }

}
