import 'package:flutter/material.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/global/enums/primary_button_design.dart';
import 'package:training_lights/utils/languages/language.dart';
import 'package:training_lights/utils/launch_url.dart';

class WebButton extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return PrimaryButton(
      text: Language.of(context).moreOnWeb,
      onPressed: () => UrlLauncher.universalUrl(
        'https://www.training-lights.com',
      ),
      iconLeft: const Icon(MyIcons.web),
      buttonDesign: PrimaryButtonDesign.darkColorOnDark,
    );
  }

}
