import 'package:flutter/material.dart';
import 'package:training_lights/common/dialogs/widgets/icon_dialog_content.dart';
import 'package:training_lights/common/dialogs/widgets/yes_no_action_buttons.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/my_theme.dart';

class DeleteDialog extends StatelessWidget {
  final Function() onYes;
  final String title;
  final String contentText;

  const DeleteDialog({
    required this.onYes,
    required this.title,
    required this.contentText,
  });

  @override
  Widget build(BuildContext context) {
    return MyDialog(
      title: title,
      content: IconDialogContent(
        icon: MyIcons.bin,
        iconColor: myTheme().errorColor,
        contentText: contentText,
      ),
      action: YesNoActionButtons(onYes: onYes),
    );
  }
}
