import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:training_lights/common/dialogs/delete_dialog.dart';
import 'package:training_lights/global/notify_listeners/training_manager.dart';
import 'package:training_lights/models/training_model/training.dart';
import 'package:training_lights/utils/languages/language.dart';

class DeleteTrainingDialog extends StatelessWidget {
  final TrainingModel trainingModel;
  final bool insideCreateTrainingRoute;

  const DeleteTrainingDialog({
    required this.trainingModel,
    this.insideCreateTrainingRoute = false,
  });

  @override
  Widget build(BuildContext context) {
    final popRoute = Navigator.of(context).pop;
    final language = Language.of(context);
    final deleteTraining = language.createTrainingRoutePopDialogRemoveTraining;

    return Consumer<TrainingManager>(
      builder: (_,trainingManager,__){
        return DeleteDialog(
          onYes: (){
            trainingManager.delete(trainingModel);
            popRoute();
            if (insideCreateTrainingRoute) {
              popRoute();
            }
          },
          title: deleteTraining,
          contentText: language.areYouSureWantDoIrreversibleAction(deleteTraining),
        );
      },
    );
  }
}
