import 'package:flutter/material.dart';

class IconDialogContent extends StatelessWidget {
  final IconData icon;
  final Color iconColor;
  final String contentText;
  final bool displayIndicator;

  const IconDialogContent({
    required this.icon,
    required this.iconColor,
    required this.contentText,
    this.displayIndicator = false,
  });

  @override
  Widget build(BuildContext context) {
    const double size = 86;

    return Column(
      mainAxisSize: MainAxisSize.min,
      children: [
        Stack(
          children: [
            Container(
              height: size,
              width: size,
              decoration: BoxDecoration(
                color: iconColor.withOpacity(0.2),
                shape: BoxShape.circle,
              ),
              child: Icon(
                  icon,
                  size: 40,
                  color: iconColor,
              ),
            ),
            if (displayIndicator)
              SizedBox(
                height: size,
                width: size,
                child: CircularProgressIndicator(
                  color: iconColor,
                  strokeWidth: 5,
                ),
              ),
          ],
        ),
        const SizedBox(height: 20,),
        Text(
          contentText,
          textAlign: TextAlign.center,
        )
      ],
    );
  }

}
