import 'package:flutter/cupertino.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/global/enums/primary_button_design.dart';
import 'package:training_lights/utils/languages/language.dart';

class YesNoActionButtons extends StatelessWidget {
  final Function() onYes;

  const YesNoActionButtons({
    required this.onYes,
  });

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return Row(
      children: [
        Expanded(
          child: PrimaryButton(
            buttonDesign: PrimaryButtonDesign.lightRedColor,
            onPressed: onYes,
            text: language.yes,
          ),
        ),
        const SizedBox(width: 8),
        Expanded(
          child: PrimaryButton(
            buttonDesign: PrimaryButtonDesign.darkColorOnDark,
            onPressed: () => Navigator.of(context).pop(),
            text: language.no,
          ),
        ),
      ],
    );
  }

}
