import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/common/dialogs/widgets/yes_no_action_buttons.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/utils/languages/language.dart';

class WillPopDialog extends StatelessWidget {
  final String contentText;
  final void Function()? beforePop;

  const WillPopDialog({
    required this.contentText,
    this.beforePop,
  });

  @override
  Widget build(BuildContext context) {
    final popRoute = Navigator.of(context).pop;

    return MyDialog(
      title: Language.of(context).leave,
      content: Text(
        contentText,
        textAlign: TextAlign.center,
      ),
      action: YesNoActionButtons(
        onYes: () {
          beforePop?.call();
          popRoute();
          popRoute();
        },
      ),
    );
  }
}
