import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/utils/languages/language.dart';

class FallbackImage extends StatelessWidget {
  final String errorText;

  const FallbackImage({required this.errorText});

  @override
  Widget build(BuildContext context) {
    return Image(
      image: const AssetImage('assets/images/fallback.jpg'),
      frameBuilder: (_, child, __, ___) => Stack(
        alignment: Alignment.center,
        children: [
          Opacity(
            opacity: 0.5,
            child: child,
          ),
          _buildError(errorText),
        ],
      ),
      errorBuilder: (_, __, ___) => _buildError(
        Language.of(context).cantLoadImage,
      ),
    );
  }

  Widget _buildError(String text) {
    return Column(
      mainAxisAlignment: MainAxisAlignment.center,
      children: [
        const Icon(Icons.warning_amber_outlined),
        Text(
          text,
          style: myTheme().textTheme.subtitle2,
        ),
      ],
    );
  }
}
