import 'package:flutter/material.dart';

class MyCard extends StatelessWidget {
  final Widget child;
  final Color? borderColor;
  final double? elevation;
  final EdgeInsets? margin;
  static const double borderRadius = 12;

  const MyCard({
    required this.child,
    this.borderColor,
    this.elevation,
    this.margin,
  });

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: elevation,
      margin: margin ?? const EdgeInsets.symmetric(vertical: 4),
      shape: RoundedRectangleBorder(
        borderRadius: BorderRadius.circular(borderRadius),
        side: borderColor != null ? BorderSide(
          color: borderColor!,
          width: 2,
        ) : BorderSide.none,
      ),
      child: child,
    );
  }
}
