import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/common/video/video_aspect_ratio.dart';
import 'package:training_lights/common/video/video_player_screen.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/utils/system_settings/system_settings.dart';

class VideoDialog extends StatefulWidget {
  final String videoKey;

  const VideoDialog({
    required this.videoKey,
  });

  @override
  State<StatefulWidget> createState() => VideoDialogState();
}

class VideoDialogState extends State<VideoDialog> {
  @override
  void initState() {
    SystemSettings.allowAllOrientations();
    super.initState();
  }

  @override
  void dispose() {
    SystemSettings.setEnabledOrientations();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    return MyDialog(
      videoDialog: true,
      content: SafeArea(
        child: AspectRatio(
            aspectRatio: VideoAspectRatio.getAspectRatioForVideo(),
            child: ClipRRect(
                borderRadius: BorderRadius.circular(12),
                child: VideoPlayerScreen(videoKey: widget.videoKey,),
            ),
        ),
      ),
    );
  }

}
