import 'package:flutter/material.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/common/wrappers/my_scaffold.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/utils/languages/language.dart';

class ConnectionLostRoute extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return MyScaffold(
      isBackButtonDisplayed: true,
      isBottomGradientDisplayed: false,
      title: Text(
        language.connectionLostRouteTitle,
        style: myTheme().textTheme.headline2,
      ),
      body: Center(
        child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Padding(
                padding: const EdgeInsets.only(left: 24, right: 24, bottom: 48),
                child: Text(
                  language.connectionLostRouteText,
                  style: myTheme().textTheme.headline2,
                ),
              ),
              Builder(
                builder: (context) => PrimaryButton(
                  onPressed: () {
                    Navigator.of(context).pop();
                  },
                  text: language.connectionLostRouteConfirmation,
                ),
              )
            ],
        ),
      ),
    );
  }
}
