import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/utils/languages/language.dart';

class CompanyInfo extends StatelessWidget {
  static const String name = 'DSparx Tech s.r.o.';
  static const String ico = '09455973';
  static const String city = 'Odolena Voda';
  static const String number = '250 70';

  @override
  Widget build(BuildContext context) {
    final TextStyle? style = myTheme().textTheme.bodyText2;
    final language = Language.of(context);

    return Align(
      alignment: Alignment.centerLeft,
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(name, style: style,),
          Text('${language.contactRouteCompanyIco} $ico', style: style,),
          const SizedBox(height: 20,),
          Text(language.contactRouteCompanyStreet, style: style,),
          Text(city, style: style,),
          Text(number, style: style,),
        ],
      ),
    );
  }
}
