import 'package:flutter/animation.dart';

class CountdownController {
  late AnimationController animationController;
  late Function() runAgain;

  void initCountdownController(AnimationController newAnimationController,
    {required Function() runCountdownTimerAgain,}) {
    animationController = newAnimationController;
    runAgain = runCountdownTimerAgain;
  }

  void pause() {
    animationController.stop(canceled: false);
  }

  void resume() {
    animationController.reverse(from: animationController.value);
  }

  void restart() {
    runAgain();
  }
}
