import 'dart:math' as math;
import 'package:flutter/material.dart';

class CountdownTimerPainter extends CustomPainter {
  CountdownTimerPainter({
    required this.animation,
    required this.fillColor,
    required this.ringColor,
  }) : super(repaint: animation);

  final Animation<double> animation;
  final Color fillColor;
  final Color ringColor;

  @override
  void paint(Canvas canvas, Size size) {
    final Paint paint = Paint()
      ..color = ringColor
      ..strokeWidth = 15
      ..strokeCap = StrokeCap.round
      ..style = PaintingStyle.stroke;

    paint.shader = null;

    canvas.drawCircle(size.center(Offset.zero), size.width / 2, paint);
    final double progress = (animation.value) * 2 * math.pi;

    paint.color = fillColor;

    canvas.drawArc(Offset.zero & size, math.pi * 1.5, progress, false, paint);
  }

  @override
  bool shouldRepaint(CountdownTimerPainter old) {
    return animation.value != old.animation.value ||
        ringColor != old.ringColor ||
        fillColor != old.fillColor;
  }
}
