import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/common/dialogs/widgets/yes_no_action_buttons.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/utils/languages/language.dart';

class RestartDialog extends StatelessWidget {
  final Function() onYes;

  const RestartDialog({required this.onYes});

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return MyDialog(
      title: language.countdownRouteRestartDialogTitle,
      content: Text(
        language.countdownRouteRestartDialogContent,
        textAlign: TextAlign.center,
      ),
      action: YesNoActionButtons(onYes: onYes,),
    );
  }
}
