import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';

class TextTitle extends StatelessWidget {
  final String title;
  final Color backgroundColor;

  const TextTitle({
    required this.title,
    required this.backgroundColor,
  });

  @override
  Widget build(BuildContext context) {
    return Container(
      constraints: const BoxConstraints(
        minHeight: 40,
      ),
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: BorderRadius.circular(24),
      ),
      child: Container(
        alignment: Alignment.center,
        padding: const EdgeInsets.symmetric(horizontal: 15),
        child: Text(
          title,
          style: myTheme().textTheme.subtitle1,
        ),
      ),
    );
  }

}
