import 'package:flutter/material.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/my_theme.dart';

class BottomActionButton extends StatelessWidget {
  final Function()? onPressed;
  final bool isSaveButton;

  const BottomActionButton({
    required this.onPressed,
    required this.isSaveButton,
  });

  @override
  Widget build(BuildContext context) {
    final theme = myTheme();

    return FittedBox(
      child: ElevatedButton(
          style: ElevatedButton.styleFrom(
            shape: const CircleBorder(),
            fixedSize: const Size(48,48),
            primary: isSaveButton ?
            theme.colorScheme.secondary : myBlue,
          ),
          onPressed: onPressed,
          child: Padding(
            padding: EdgeInsets.only(left: isSaveButton ? 2 : 4),
            child: isSaveButton ? Icon(
              MyIcons.confirm,
              color: theme.primaryColor,
            ) : Icon(
              MyIcons.play,
              color: onPressed != null ? theme.primaryColorLight : theme.primaryColor,
            ),
          ),
      ),
    );
  }

}
