import 'package:flutter/material.dart';
import 'package:training_lights/common/dialogs/delete_training_dialog.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/models/training_model/training.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/utils/show_dialog.dart';

class DeleteTrainingButton extends StatelessWidget {
  final TrainingModel trainingModel;

  const DeleteTrainingButton({required this.trainingModel});

  @override
  Widget build(BuildContext context) {
    final errorColor = myTheme().errorColor;

    return Container(
      margin: const EdgeInsets.only(left: 15),
      decoration: BoxDecoration(
        color: errorColor.withOpacity(0.2),
        shape: BoxShape.circle,
      ),
      child: IconButton(
          splashRadius: 20,
          onPressed: () {
            ShowDialog.show(
              context: context,
              child: DeleteTrainingDialog(
                trainingModel: trainingModel,
                insideCreateTrainingRoute: true,
              ),
            );
          },
          icon: Icon(
              MyIcons.bin,
              color: errorColor,
          ),
      ),
    );
  }
}
