import 'package:flutter/material.dart';
import 'package:training_lights/routes/create_training_route/widgets/cards/shape_card/shape_card_state.dart';
import 'package:training_lights/routes/create_training_route/widgets/cards/shape_card/shape_custom_painter.dart';

class ShapeCard extends StatelessWidget {
  final ShapeCardState shapeCardState;
  final Widget body;
  final Widget title;
  final Widget actionButton;

  const ShapeCard({
    required this.shapeCardState,
    required this.body,
    required this.title,
    required this.actionButton,
  });

  @override
  Widget build(BuildContext context) {
    return CustomPaint(
      painter: ShapeCustomPainter(
        shapeCardState: shapeCardState,
      ),
      child: Column(
        children: [
          _buildHeader(context),
          body,
        ],
      ),
    );
  }

  Widget _buildHeader(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(left: 14, top: 20, bottom: 5, right: 14),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Flexible(
            child: title,
          ),
          actionButton
        ],
      ),
    );
  }
}
