import 'package:flutter/material.dart';
import 'package:training_lights/models/training_model/blick_pause.dart';
import 'package:training_lights/routes/create_training_route/numerical_values.dart';
import 'package:training_lights/routes/create_training_route/widgets/counter_row.dart';
import 'package:training_lights/utils/languages/language.dart';

class PauseContent extends StatelessWidget {
  final BlickPauseModel pauseModel;
  final Function() wasSomethingEdited;

  const PauseContent({
    required this.pauseModel,
    required this.wasSomethingEdited,
  });

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return Column(
      children: [
        CounterRow(
          label: language.createTrainingRouteTrainingPauseCardLengthOfPause,
          value: pauseModel.duration,
          incrementValue: NumericalValues.pauseIncrementValue,
          maxValue: NumericalValues.pauseMaxValue,
          editValue: (newValue) {
            pauseModel.duration = newValue;
          },
          wasSomethingEdited: wasSomethingEdited,
        )
      ],
    );
  }
}
