import 'package:flutter/material.dart';
import 'package:training_lights/models/training_model/blick_prep.dart';
import 'package:training_lights/routes/create_training_route/numerical_values.dart';
import 'package:training_lights/routes/create_training_route/widgets/buttons/color_selection_button.dart';
import 'package:training_lights/routes/create_training_route/widgets/counter_row.dart';
import 'package:training_lights/utils/languages/language.dart';

class PreparationContent extends StatelessWidget {
  final BlickPrepModel preparationModel;
  final Function() wasSomethingEdited;

  const PreparationContent({
    required this.preparationModel,
    required this.wasSomethingEdited,
  });

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return Column(
      children: [
        CounterRow(
          label: language.createTrainingRouteTrainingPrepCardLengthOfPrep,
          value: preparationModel.duration,
          incrementValue: NumericalValues.blickIncrementValue,
          maxValue: NumericalValues.blickMaxValue,
          editValue: (newValue) {
            preparationModel.duration = newValue;
          },
          wasSomethingEdited: wasSomethingEdited,
        ),
        Padding(
            padding: const EdgeInsets.only(left: 16.0, right: 16.0, bottom: 20),
            child: ColorSelectionButton(
              blick: preparationModel,
              wasSomethingEdited: wasSomethingEdited,
            ),
        )
      ],
    );
  }
}
