import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/common/wrappers/my_color_picker.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/global/enums/tangle_color.dart';
import 'package:training_lights/utils/languages/language.dart';

class ColorSelectionDialog extends StatelessWidget {
  final TangleColor color;
  final Function(TangleColor) setColor;
  final Function() wasSomethingEdited;

  const ColorSelectionDialog({
    required this.color,
    required this.setColor,
    required this.wasSomethingEdited,
  });

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return MyDialog(
      title: language.createTrainingRouteColorSelectionDialogTitle,
      content: Column( // because of center color picker
        mainAxisSize: MainAxisSize.min,
        children: [
          MyColorPicker(
              color: color,
              setColor: setColor,
              wasSomethingEdited: wasSomethingEdited,
          ),
        ],
      ),
      action: PrimaryButton(
        onPressed: () => Navigator.of(context).pop(),
        text: language.createTrainingRouteColorSelectionDialogSelect,
      ),
    );
  }
}
