import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';

class TrainingNameTextField extends StatelessWidget {
  final TextEditingController nameTextController;
  final Function() wasSomethingEdited;

  const TrainingNameTextField({
    required this.nameTextController,
    required this.wasSomethingEdited,
  });

  @override
  Widget build(BuildContext context) {
    return TextField(
      onChanged: (string) {
        wasSomethingEdited();
      },
      controller: nameTextController,
      textAlign: TextAlign.center,
      decoration: InputDecoration(
        filled: false,
        suffixIcon: Icon(
          Icons.edit,
          color: myTheme().colorScheme.tertiaryContainer,
        ),
      ),
    );
  }
}
