import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:training_lights/common/wrappers/my_scaffold.dart';
import 'package:training_lights/global/notify_listeners/tangle_manager/tangle_manager.dart';
import 'package:training_lights/routes/pairing_route/widgets/bluetooth_off.dart';
import 'package:training_lights/routes/pairing_route/widgets/bluetooth_unavailable.dart';
import 'package:training_lights/routes/pairing_route/widgets/connected/connected.dart';
import 'package:training_lights/routes/pairing_route/widgets/device_scanner/device_scanner.dart';

class PairingRoute extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MyScaffold(
      isBottomGradientDisplayed: false,
      isBackButtonDisplayed: true,
      isPairingRouteGradientDisplay: true,
      scaffoldBackgroundColor: Colors.transparent,
      body: Consumer<TangleManager>(
          builder: (_, tangle, __) {
            switch(tangle.tangleState) {
              case TangleState.blOff:
                return BluetoothOff();
              case TangleState.disconnected:
                return DeviceScanner();
              case TangleState.ready:
                return Ready();
              case TangleState.blUnavailable:
                return BluetoothUnavailable();
              default:
                throw UnimplementedError('Unknown TangleConnectionState "${tangle.tangleState}"');
            }
          },
      ),
    );
  }
}
