import 'package:app_settings/app_settings.dart';
import 'package:flutter/material.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/routes/pairing_route/widgets/status_layout.dart';
import 'package:training_lights/utils/languages/language.dart';
import 'package:training_lights/utils/ratio_size.dart';


class BluetoothOff extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return StatusLayout(
      title: language.pairingRouteBLOffTitle,
      subtitle: language.pairingRouteBLOffSubtitle,
      button: PrimaryButton(
        onPressed: AppSettings.openBluetoothSettings,
        text: language.pairingRouteBLOffTurnOnBL,
      ),
      icon: Icon(
        MyIcons.bluetooth,
        color: myTheme().colorScheme.secondary,
        size: RatioSize.getRatioSizeOfSmallerSide(context, 0.2),
      ),
    );
  }
}
