import 'dart:math';

import 'package:flutter/material.dart';
import 'package:tangle_connector/tangle_connector.dart';
import 'package:training_lights/my_theme.dart';

class DeviceInfo extends StatelessWidget {
  const DeviceInfo({
    Key? key,
    required this.device,
  }) : super(key: key);

  final TangleDevice device;

  @override
  Widget build(BuildContext context) {
    final maxIDLength = min(17, device.id.length);
    final shortenedID = device.id.substring(0, maxIDLength);

    return Padding(
      padding: const EdgeInsets.only(left: 8.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(device.name, style: myTheme().textTheme.subtitle2),
          Text(shortenedID),
        ],
      ),
    );
  }
}
