import 'package:flutter/material.dart';
import 'package:training_lights/common/buttons/primary_button.dart';
import 'package:training_lights/common/wrappers/my_dialog.dart';
import 'package:training_lights/utils/languages/language.dart';

class IDConflictDialog extends StatelessWidget {
  final int id;

  const IDConflictDialog({
    required this.id,
  });

  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);
    return MyDialog(
      title: language.pairingRouteIDConflictTitle,
      content: Text(language.pairingRouteIDConflictContent),
      action: Padding(
        padding: const EdgeInsets.only(left: 32, right: 32),
        child: PrimaryButton(
          text: 'Ok',
          onPressed: () => Navigator.of(context).pop(),
        ),
      ),
    );
  }
}
