import 'package:flutter/material.dart';
import 'package:tangle_connector/tangle_connector.dart';
import 'package:training_lights/common/my_icons/my_icons.dart';
import 'package:training_lights/common/wrappers/my_card.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/routes/pairing_route/widgets/device_scanner/device_info.dart';

class OwnedDeviceCard extends StatelessWidget {
  final TangleDevice device;

  const OwnedDeviceCard({required this.device});

  @override
  Widget build(BuildContext context) {
    return MyCard(
      child: Row(
        children: [
          DeviceInfo(device: device),
          Expanded(child: Container()),
          Padding(
            padding: const EdgeInsets.only(right: 12),
            child: Icon(
              MyIcons.bluetooth,
              color: myTheme().colorScheme.secondary,
            ),
          ),
        ],
      ),
    );
  }

}
