import 'package:flutter/material.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:tangle_connector/tangle_connector.dart';
import 'package:training_lights/common/wrappers/my_card.dart';
import 'package:training_lights/routes/pairing_route/widgets/device_scanner/device_info.dart';

class UnupdatedDeviceCard extends StatelessWidget {
  final TangleDevice device;

  const UnupdatedDeviceCard({required this.device});

  @override
  Widget build(BuildContext context) {
    return MyCard(
      child: Row(
        children: [
          DeviceInfo(device: device),
          Expanded(child: Container()),
          const Padding(
            padding: EdgeInsets.only(right: 12),
            child: Icon(
              FontAwesomeIcons.exclamationCircle,
              color: Colors.orangeAccent,
            ),
          ),
        ],
      ),
    );
  }
}
