import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:training_lights/common/wrappers/my_scaffold.dart';
import 'package:training_lights/global/notify_listeners/tangle_manager/tangle_manager.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/routes/connection_lost_route.dart';
import 'package:training_lights/routes/tangle_control_route/widgets/tangle_control.dart';
import 'package:training_lights/utils/languages/language.dart';

class TangleControlRoute extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final language = Language.of(context);

    return Consumer<TangleManager>(
      builder: (_, tangle, __) {
        if (tangle.isReady) {
          return MyScaffold(
            isBackButtonDisplayed: true,
            isBottomGradientDisplayed: false,
            title: Text(
              language.tangleControlRouteLightControlTitle,
              style: myTheme().textTheme.headline2,
            ),
            body: const TangleControl(numberOfLights: 3), // TODO number connected devices,
          );
        } else {
          return ConnectionLostRoute();
        }
      },
    );
  }
}
