import 'package:flutter/material.dart';
import 'package:training_lights/my_theme.dart';
import 'package:training_lights/routes/tangle_control_route/tangle_control_card_state.dart';

class TangleColorPickerButton extends StatelessWidget {
  final TangleControlCardState cardState;
  final void Function(TangleControlCardState state) setCardState;

  const TangleColorPickerButton({
    required this.cardState,
    required this.setCardState,
  });

  @override
  Widget build(BuildContext context) {
    final theme = myTheme();

    return Container(
      height: 40,
      decoration: BoxDecoration(
        color: cardState == TangleControlCardState.colorSelection ?
        theme.highlightColor : theme.backgroundColor,
        shape: BoxShape.circle,
      ),
      child: IconButton(
          splashRadius: 20,
          color: cardState == TangleControlCardState.colorSelection ?
          theme.primaryColor : null,
          onPressed: cardState != TangleControlCardState.lightSelection ?
            () {
              switch (cardState) {
                case TangleControlCardState.onlyControlButton:
                  setCardState(TangleControlCardState.colorSelection);
                  break;
                case TangleControlCardState.colorSelection:
                  setCardState(TangleControlCardState.onlyControlButton);
                  break;
                default:
                  break;
              }
            } : null,
          icon: const Icon(Icons.palette_outlined),
      ),
    );
  }
}
