import 'package:flutter/material.dart';
import 'package:training_lights/routes/tangle_control_route/widgets/tangle_control_card/tangle_control_card.dart';
import 'package:training_lights/utils/system_settings/system_settings.dart';

class TangleControl extends StatefulWidget {
  final int numberOfLights;

  const TangleControl({required this.numberOfLights});

  @override
  _TangleControl createState() => _TangleControl();
}

class _TangleControl extends State<TangleControl> {
  @override
  void initState() {
    SystemSettings.setOrientationsTangleControl();
    super.initState();
  }

  @override
  void dispose() {
    SystemSettings.setEnabledOrientations();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    final List<Widget> tangleControlCards = [
      _tangleControlCard(1),
    ];

    for (int i = 1 ; i < widget.numberOfLights ; i++) {
      tangleControlCards.add(const SizedBox(width: 10,));
      tangleControlCards.add(_tangleControlCard(i+1));
    }

    return Row(
      children: tangleControlCards,
    );
  }

  Widget _tangleControlCard(int defaultLightNumber) {
    return Expanded(
      child: TangleControlCard(
        defaultLightNumber: defaultLightNumber,
        numberOfLights: widget.numberOfLights,
      ),
    );
  }
}
