import 'package:flutter/material.dart';
import 'package:training_lights/models/training_model/recommended_training_model/recommended_training_block.dart';
import 'package:training_lights/models/training_model/recommended_training_model/recommended_training_defence.dart';
import 'package:training_lights/models/training_model/recommended_training_model/recommended_training_set.dart';
import 'package:training_lights/models/training_model/recommended_training_model/recommended_training_spike.dart';
import 'package:training_lights/routes/training_list_route/widgets/recommended_training_card.dart';

class RecommendedTrainings extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return ListView(
        shrinkWrap: true,
        physics: const NeverScrollableScrollPhysics(),
        children: [
          RecommendedTrainingBlock(context: context),
          RecommendedTrainingSpike(context: context),
          RecommendedTrainingSet(context: context),
          RecommendedTrainingDefence(context: context),
        ].map((recommendedTraining) => RecommendedTrainingCard(
            recommendedTraining: recommendedTraining,
        ),).toList(),
    );
  }
}
